Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.util.tools
Class ArgHandlerExtra

    java.lang.Object
      com.google.gwt.util.tools.ArgHandler
          com.google.gwt.util.tools.ArgHandlerExtra

    public abstract class ArgHandlerExtra

extends ArgHandler

Argument handler that handles arguments that do not have preceeding flags.

Constructor Summary
`ArgHandlerExtra()`

Method Summary
`abstract boolean` | `addExtraArg(java.lang.String arg)`
`java.lang.String` | `getTag()`
`int` | `handle(java.lang.String[] args, int startIndex)`
`boolean` | `isRequired()`

Methods inherited from class com.google.gwt.util.tools.ArgHandler
`getDefaultArgs, getPurpose, getTagArgs, isUndocumented`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgHandlerExtra

    public ArgHandlerExtra()

Method Detail

### addExtraArg

    public abstract boolean addExtraArg(java.lang.String arg)

### getTag

    public final java.lang.String getTag()

  Specified by:
    `getTag` in class `ArgHandler`

### handle

    public int handle(java.lang.String[] args,
                      int startIndex)

  Specified by:
    `handle` in class `ArgHandler`

### isRequired

    public boolean isRequired()

  Overrides:
    `isRequired` in class `ArgHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD